apiVersion: v1
kind: Pod
metadata:
  name: mongodb-pod
  labels:
    app: mongodb
spec:
  containers:
    - name: mongodb-container
      image:  mongo:latest  # Use a specific MongoDB image/tag
      env: 
      - name: MONGO_INITDB_ROOT_USERNAME
        value: admin
      - name: MONGO_INITDB_ROOT_PASSWORD
        value: mysecretpassword
      ports:
        - containerPort: 27017  # MongoDB default port
---
apiVersion: v1
kind: Service
metadata:
  name: mongodb
spec:
  type: ClusterIP
  selector:
    app: mongodb
  ports:
  - port: 27017
    targetPort: 27017
